> For the complete documentation index, see [llms.txt](https://developers.myscreators.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.myscreators.com/primeros-pasos/autenticacion.md).

# Autenticación

Autentica cada solicitud con el encabezado authtoken.

La API usa autenticación por **token**. Cada solicitud debe incluir el encabezado `authtoken` con el token de tu instalación.

{% hint style="info" %}
**Encabezado requerido**

```http
authtoken: TU_TOKEN
```

{% endhint %}

{% hint style="warning" %}
El token está vinculado a **una instalación completa** de M\&S. Para interactuar con otra instalación, genera un token nuevo en esa instalación.
{% endhint %}

## Ejemplo: listar tickets

{% tabs %}
{% tab title="cURL" %}

```bash
curl -H "authtoken: TU_TOKEN" \
  "https://crm.myscreators.com/index.php/api/tickets"
```

{% endtab %}

{% tab title="JavaScript (fetch)" %}

```javascript
const res = await fetch(
  "https://crm.myscreators.com/index.php/api/tickets",
  { headers: { authtoken: "TU_TOKEN" } }
);
const data = await res.json();
console.log(data);
```

{% endtab %}

{% tab title="PHP" %}

```php
$ch = curl_init("https://crm.myscreators.com/index.php/api/tickets");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ["authtoken: TU_TOKEN"]);
$response = curl_exec($ch);
curl_close($ch);
```

{% endtab %}
{% endtabs %}

{% hint style="danger" %}
**Nunca** publiques tu token ni lo incluyas en código del lado del cliente accesible por terceros. Trata el `authtoken` como una contraseña.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.myscreators.com/primeros-pasos/autenticacion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
